Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.actions
Class SaveAsAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.ActionAction
              de.jsystems.framework.common.actions.SaveAsAction

All Implemented Interfaces:
  ActionListener, EventListener

public class SaveAsAction
extends ActionAction

Allgemeine Action zum speichern der Models zur ausgewaehlten View. Vor dem speichern wird hier noch ein Dialog zur Auswahl des Verzeichnisses und des Dateinamens angezeigt. Aufgerufen wird im Controller die Methode `Controller.saveAs()`.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`SaveAsAction()` Erzeugt eine neue SaveAsAction.

Method Summary
`void` | `doActionPerformed(ActionEvent ae)` Ruft im Controller die Methode `Controller.saveAs()` auf.

Methods inherited from class de.jsystems.framework.common.action.awt.ActionAction
`actionPerformed`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveAsAction

    public SaveAsAction()

  Erzeugt eine neue SaveAsAction.

Method Detail

### doActionPerformed

    public void doActionPerformed(ActionEvent ae)
                           throws Exception

  Ruft im Controller die Methode `Controller.saveAs()` auf.

  Overrides:
    `doActionPerformed` in class `ActionAction`
  Parameters:
    `ae` - Das ausgeloeste ActionEvent.
  Throws:
    `Exception` - wenn ein Fehler in der Action auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD